/* 
 * Copyright (c) 1987 NeXT, Inc.
 *
 * HISTORY
 * 13-Jun-91  Gregg Kellogg (gk) at NeXT
 *	Compatibility file.
 */ 

#ifndef	_NEXT_VM_PARAM_
#define	_NEXT_VM_PARAM_

#import <mach/m68k/vm_param.h>

#define	NeXT_page_size		m68k_page_size
#define	NeXT_page_mask		m68k_page_mask
#define	NeXT_page_shift		m68k_page_shift
#define	NeXT_is			m68k_is
#define	NeXT_tia		m68k_tia
#define	NeXT_tib		m68k_tib
#define	NeXT_pt1_entries	m68k_pt1_entries
#define	NeXT_pt2_entries	m68k_pt2_entries
#define	NeXT_pt1_size		m68k_pt1_size
#define	NeXT_pt2_size		m68k_pt2_size
#define	NeXT_pt1_shift		m68k_pt1_shift
#define	NeXT_pt2_shift		m68k_pt2_shift
#define	NeXT_pt1_mask		m68k_pt1_mask
#define	NeXT_pt2_mask		m68k_pt2_mask
#define	NeXT_pt2_maps		m68k_pt2_maps

#define	NeXT_MIN_PAGE_SIZE	M68K_MIN_PAGE_SIZE
#define	NeXT_MAX_PAGE_SIZE	M68K_MAX_PAGE_SIZE
#define	NeXT_KERNEL_TEXT_ADDR	M68K_KERNEL_TEXT_ADDR
#define	NeXT_btop(x)		m68k_btop(x)
#define	NeXT_ptob(x)		m68k_ptob(x)
#define	NeXT_round_page(x)	m68k_round_page(x)
#define	NeXT_trunc_page(x)	m68k_trunc_page(x)
#define	trunc_NeXT_to_vm(p)	trunc_m68k_to_vm(p)
#define	round_NeXT_to_vm(p)	round_m68k_to_vm(p)

#endif	_NEXT_VM_PARAM_
